Groovy 1.7.10

## org.codehaus.groovy.tools.ast
[Groovy] Class TranformTestHelper

    java.lang.Object
      org.codehaus.groovy.tools.ast.TranformTestHelper

    class TranformTestHelper
    extends Object

Constructor Summary
`TranformTestHelper(ASTTransformation transform, CompilePhase phase)` Creates the test helper.

Method Summary
`Class` | `parse(File input)` Compiles the File into a Class applying the tranform specified in the constructor.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### TranformTestHelper

    TranformTestHelper(ASTTransformation transform, CompilePhase phase)

  Creates the test helper.
  Parameters:
    `transform` - the transform to run when compiling the file later
    `phase` - the phase to run the transform in

Method Detail

### parse

    Class parse(File input)

  Compiles the File into a Class applying the tranform specified in the constructor.
  input:
    input must be a groovy source file

Copyright © 2003-2010 The Codehaus. All rights reserved.